var tickerItems = {
    "one": {
        "headline": "End Of The Line",
        "url": "https://eotl.supply"
    },
    "two": {
        "headline": "Excited Other Techniques Living",
        "url": "https://en.wikipedia.org/wiki/Freight_bicycle"
    },
    "three": {
        "headline": "Elegant Options Towards Life",
        "url": "https://original-unverpackt.de"
    },
    "four": {
        "headline": "Ecological Obstacles Terrorizing Life",
        "url": "https://public.wmo.int/en/media/press-release/wmo-climate-statement-past-4-years-warmest-record"
    },
    "five": {
        "headline": "Ecocide On The Land",
        "url": "https://www.theguardian.com/commentisfree/2019/mar/15/climate-strikers-urgency-un-summit-world-leaders"
    },
    "six": {
        "headline": "Extinquishing Other Terains Longevity",
        "url": "https://www.nature.com/articles/s41467-018-05252-y"
    },
    "seven": {
        "headline": "Ending Of Tranquil Life",
        "url": "https://www.nature.com/articles/d41586-019-02782-3"
    },
    "eight": {
        "headline": "Eat Off The Land",
        "url": "https://markthalleneun.de"
    },
    "nine": {
        "headline": "Extinction Of The Living",
        "url": "https://climatepeopleorg.com/2016/05/04/the-climate-crisis-in-quotations/"
    },
    "ten": {
        "headline": "Empowering Open Technological Liberation",
        "url": "https://codeberg.org/eotl"
    },
    "eleven": {
        "headline": "Electricity Obtained To Light",
        "url": "https://eotl.solar"
    },
    "tweleve": {
        "headline": "Ecstatic Objects That Live",
        "url": "https://morningchores.com/mushroom-farming/"
    },
    "thirteen": {
        "headline": "Egalitarian Open Togther Life",
        "url": "https://www.aardehuis.nl"
    },
    "fourteen": {
        "headline": "Evince Outward To Links",
        "url": "https://eotl.links"
    },
    "fifteen": {
        "headline": "Elevate Orientate Towards Liberation",
        "url": "https://www.ted.com/talks/ron_finley_a_guerrilla_gardener_in_south_central_la"
    },
    "sixteen": {
        "headline": "Emerge Organize Towards Luminesscence",
        "url": "https://solargis.info/imaps/"
    }
}

var tickerArray = Object.keys(tickerItems)

function runTicker() {
    var position = tickerArray[tickerArray.length-1]
    var tickerContainer = $('.ticker')
    var tickerText = $(".ticker-text")

    tickerContainer.fadeIn(1000, function() {
        $(this).delay(4500).fadeOut('fast', runTicker)
    })
    tickerText.html('&nbsp;')

    var piece = tickerItems[position].headline.split(' ')

    setTimeout(function() {
        tickerText.append(piece[0])
    }, 1000)

    setTimeout(function() {
        tickerText.append(' ' + piece[1])
    }, 1500)

    setTimeout(function() {
        tickerText.append(' ' + piece[2])
    }, 2000)
    setTimeout(function() {
        tickerText.append(' ' + piece[3])
    }, 2500)
    tickerText.wrap("<a class='ticker-link' href='" + tickerItems[position].url + "' target='_blank'></a>")
    tickerArray.unshift(position)
    tickerArray.pop()
}

function longNowify(times) {
    let itemDate = '';
    for (time in times) {
        itemDate = times[time].innerHTML
        if (itemDate) {
            var year = itemDate.match(/(?:01|20)\d{2}/g);
            var longYear = '0' + year[0]
            var fixed = itemDate.replace(year[0], longYear)
            times[time].innerHTML = fixed
            times[time].setAttribute("title", "Extra '0' to question: how long is now?")
        }
    }
}


document.addEventListener('DOMContentLoaded', function() {
    runTicker()
    longNowify(document.getElementsByTagName("time"))
    longNowify(document.getElementsByTagName("date"))
})
